#! /bin/sh 

PERLBIN="perl";
ERR=0;

if [ x"" != x"`$PERLBIN -we 'use Net::HTTP' 2>&1 | grep \"HTTP\"`" ]; then
        echo "You don't have Net::HTTP";
        echo "You can get it by searching Net::HTTP at http://search.cpan.org/ or you can use 'perl -MCPAN -e shell' then type 'install Net::HTTP', you may have to configure CPAN if you have never used it";
	ERR=$(($ERR+1));
fi
if [ x"" != x"`$PERLBIN -we 'use HTML::Entities' 2>&1 | grep \"Entities\"`" ]; then
        echo "You don't have HTML::Entities";
        echo "You can get it by searching HTML::Entities at http://search.cpan.org/ or you can use 'perl -MCPAN -e shell' then type 'install HTML::Entities', you may have to configure CPAN if you have never used it";
	ERR=$(($ERR+1));
fi

if [ $ERR -eq "0" ]; then
	echo "Everything seems to be OK, the script should work :)";
fi
